Bug 428437 - Add GFS2 recognition and reporting to "file" command
Add GFS2 recognition and reporting to "file" command
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: file (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Tomas Smetana
Depends On:
  Show dependency treegraph
Reported: 2008-01-11 10:23 EST by Scott Crenshaw
Modified: 2011-01-28 09:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 17:02:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
example gfs2 filesystem (20.38 KB, application/x-bzip)
2008-08-06 10:49 EDT, Petr Šplíchal
no flags Details

  None (edit)
Description Rob Kenna 2008-01-11 10:23:07 EST
Add equivalent reporting to file command as found with ext and other file
systems.  Like

[root@localhost ~]# file -s /dev/hda1
/dev/hda1: Linux rev 1.0 ext3 filesystem data (needs journal recovery)
Comment 1 Eric Sandeen 2008-01-11 11:17:28 EST
Here's a start :)

# GFS2
0x10000         belong          0x01161970      GFS2 Filesystem
>0x10024        belong          x               (blocksize %d,
>0x10060        string          >\0             lockproto %s)

[root@bear-05 ~]# file -s -m ./magic /dev/sdb3
/dev/sdb3: GFS2 Filesystem (blocksize 4096, lockproto lock_nolock)
Comment 2 Tomas Smetana 2008-01-14 02:29:36 EST
OK.  I like bugs like this one. :)
Comment 4 Eric Sandeen 2008-01-14 10:49:27 EST
FWIW, adding the other text string, locktable, might be good too.  I'm sure the
GFS2 guys can let you know which pieces of information are most useful.

(.... and maybe a good time to add GFS recognition too?  (in addition to GFS2))

Or, ignore the scope creep.  Up to you ;)
Comment 6 Steve Whitehouse 2008-06-02 06:27:53 EDT
Tomas, is there any reason why this cannot be resolved now that 5.3 is open?
Comment 8 Steve Whitehouse 2008-06-02 07:03:02 EDT
Rob, Kevin: please can you set the requested flags on this bug?
Comment 10 Eric Sandeen 2008-06-02 10:47:07 EDT
We're updating file to recognize ext4 as well, so good to batch these up for 5.3.

Has this been fixed for "file" in upstream or fedora yet?  No downstream-only
fixes please... :)  I assume Tomas will send it upstream, I guess.
Comment 13 RHEL Product and Program Management 2008-06-04 18:47:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 17 Steve Whitehouse 2008-07-16 10:34:28 EDT
Tomas, what is the current status of this? Can we resolve this one now?
Comment 19 Petr Šplíchal 2008-08-06 10:49:01 EDT
Created attachment 313581 [details]
example gfs2 filesystem

following commands were used to create this small sample:

   dd if=/dev/zero of=gfs2filesystem bs=1024 count=10000
   mkfs.gfs2 -O -J 8 -r 32 -p lock_nolock gfs2filesystem

gfs2-utils package necessary
Comment 22 errata-xmlrpc 2009-01-20 17:02:53 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.